- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: f6f2e440-27ee-40ea-8994-decf22a06f6c
    creation_time: 2023-02-17T12:15:48.876389Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-zilu/benchmark51_polynomial.i
      input_file_hashes:
        c/loop-zilu/benchmark51_polynomial.i: aa85058e2265737f535eb1fe2c40b3792241244c90bfe02ec1cb86f59e478fdf
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-zilu/benchmark51_polynomial.i
    file_hash: aa85058e2265737f535eb1fe2c40b3792241244c90bfe02ec1cb86f59e478fdf
    line: 22
    column: 0
    function: main
  loop_invariant:
    string: 0 <= x && x <= 50
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 48919da7-fac6-4872-bf4c-b0c6688c68a8
    creation_time: 2023-02-17T12:15:48.876723Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-zilu/benchmark51_polynomial.i
      input_file_hashes:
        c/loop-zilu/benchmark51_polynomial.i: aa85058e2265737f535eb1fe2c40b3792241244c90bfe02ec1cb86f59e478fdf
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-zilu/benchmark51_polynomial.i
    file_hash: aa85058e2265737f535eb1fe2c40b3792241244c90bfe02ec1cb86f59e478fdf
    line: 27
    column: 0
    function: main
  location_invariant:
    string: x >= 0 && x <= 50
    type: assertion
    format: C

